Update product

Update a product by ID. Also creates and edits product attributes: productAttributes upserts attributes and sets their pricing (metering event, price points, credit brackets). This is the endpoint to use to add pricing to a product created without any.

Authentication

AuthorizationBearer
API Key authentication using Bearer token

Path parameters

idstringRequired

Request

Body
namestringOptional>=1 character
descriptionstring or nullOptional
activebooleanOptional
productCodestring or nullOptional
externalIdstring or nullOptional
metadatamap from strings to any or nullOptional
productAttributeslist of objectsOptional

Response

200
idstring
namestring
descriptionstring or null
createdAtdatetime
updatedAtdatetime
activeboolean
productCodestring or null
externalIdstring or null
archivedAtdatetime or null
metadatamap from strings to any or null
productAttributeslist of objects

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error